/* Copyright 1990 by Carrick Sean Casey. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to send a personal message */

#include "fn.h"
#include "externs.h"

s_personal(TARGLIST)
TARGDEFS
{
	static char *usage = "usage: s_personal nick message ...";

	/* check the arg count */
	if (argc < 3)
		TRETURNERR(usage)

	catargs(&argv[1]);
	sendpersonal(mbuf);
	return(TCL_OK);
}


/* this is essentially the cmds.c code */
/* FIXME - needs to be cleaned up */

sendpersonal(args)
char *args;
{
	int ret;
	char *p, *findspace();

	/* see if there's a second arg */
	if ((p = findspace(args)) == 0) {
		if ((ret = getline(mbuf2, ">> ", 0)) < 0)
			fnexit();
		else if (ret == 0 || *mbuf2 == '\n') {
			putl("[empty message not sent]", PL_SCR);
			return;
		} else {
			strcpy(mbuf, ">> ");
			strcat(mbuf, mbuf2);
			putl(mbuf, PL_LOG | PL_BUF);
			sprintf(mbuf, "%s %s", args, mbuf2);
			histput(args);
			sendcmd("m", mbuf);
			return;
		}
			
	} else {
		histput(args);
		/* findspace replaces first space with a null -- reset it */
		*--p = ' ';
		sendcmd("m", args);
	}
}
